#pragma once

#include "layer.h"

class MainWindow;
//--------------------------------------------------------------
class BackgroundLayer : public Layer
{
  public:
  BackgroundLayer()                                          = delete;      // Default constructor
  virtual ~BackgroundLayer()                                 = default;     // Default destructor
  BackgroundLayer(const BackgroundLayer &obj)                = delete;      // Copy constructor
  BackgroundLayer(BackgroundLayer &&obj) noexcept            = delete;      // Move constructor
  BackgroundLayer &operator=(const BackgroundLayer &obj)     = delete;      // Copy assignment operator
  BackgroundLayer &operator=(BackgroundLayer &&obj) noexcept = delete;      // Move assignment operator

  explicit BackgroundLayer(MainWindow &owner);     // Constructor

  void update(float dt) override {}     // Update the layer state
  void render() const override;         // Render the layer

  protected:
};
//--------------------------------------------------------------
